﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows;

namespace RadContextMenuTTvTreeView
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private RadTreeViewItem ClickedTreeViewItem
        {
            get
            {
                return this.ContextMenu.GetClickedElement<RadTreeViewItem>();
            }
        }

        private void ContextMenuClick(object sender, RadRoutedEventArgs e)
        {

            string header = (e.OriginalSource as RadMenuItem).Header as string;
            switch (header)
            {
                case "New Item":
                    RadTreeViewItem category = new RadTreeViewItem();
                    category.Header = "Category1";
                    category.Foreground = new SolidColorBrush(Colors.Green);
                    radTreeView.Items.Add(category);
                    // Adding child items
                    RadTreeViewItem product = new RadTreeViewItem();
                    product.Header = "Product1.1";
                    category.Items.Add(product);
                    product = new RadTreeViewItem();
                    product.Header = "Product1.1";
                    category.Items.Add(product);
                    break;
                case "Edit":
                    this.ClickedTreeViewItem.IsInEditMode = true;
                    break;
                case "Select":
                    this.ClickedTreeViewItem.IsSelected = true;
                    break;
            }
        }
    }
}
